Issue 105534 - Fill format mode should use current selections list level, when applicable
Summary: Fill format mode should use current selections list level, when applicable
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOo 3.1.1
Hardware: PC Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo, oooqa
Depends on:
Blocks:
 
Reported: 2009-10-02 04:51 UTC by tab
Modified: 2013-08-05 13:14 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
File with format to copy (10.03 KB, text/plain)
2009-10-02 04:53 UTC, tab
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description tab 2009-10-02 04:51:04 UTC
In BadFillFmt.odt, copy format Numbering3 from aaa to bbb with the paintbrush:
bbb is labeled 'b', at level 4; good.
Now, copy format in Fill format mode to ccc: format Numbering3 is copied, but at
Level 1; why??
Comment 1 tab 2009-10-02 04:53:28 UTC
Created attachment 65084 [details]
File with format to copy
Comment 2 michael.ruess 2009-10-02 09:31:40 UTC
Cannot confirm this at first.
Clicked "Format Paintbrush", clicked into "bbb" -> OK. Then clicked "format
Paintbrush" again, clicked into "ccc" -> also correct level 4.
Did you do different steps?
Comment 3 tab 2009-10-03 00:22:28 UTC
mru: The second step uses the Fill format mode (at the top of the Stylist pane),
not the Format Paintbrush.
Comment 4 eric.savary 2009-10-03 11:15:39 UTC
the "Format Fill" icon in the Stylist applies the format of the selected ()in
the Sfylist) style (which stats at level 1).

When using "Format Paintbrush" you are copying hard attributes i.e. attributes
set at the cursor point (here Level 4)

Those are two different functions.
Comment 5 eric.savary 2009-10-03 11:15:52 UTC
Closed
Comment 6 tab 2009-10-14 17:32:46 UTC
es wrote:
"Format Fill" ... "Format Paintbrush" ...are two different functions.
  OK. So, it's not a defect.
I propose this enhancement: when the highlighted style (to which "Format Fill"
applies) is the same as the current style (which is usually the case), its level
should take precedence over the default (ie, 1).
  Then, the user could apply the current style, with its level, to several
paragraphs.\, without having to reactivate the "Format Paintbrush" for each.
Comment 7 michael.ruess 2009-10-15 12:27:10 UTC
Reassigned to requirements.
Comment 8 tab 2009-10-16 22:18:54 UTC
The previous Summary may have been too vague, but the new one may be misleading:
the current parag need not be selected, as 'selections list' seems to imply.
Comment 9 tab 2009-10-16 22:20:12 UTC
The previous Summary may have been too vague, but the new one may be misleading:
the current parag need not be selected, as 'selections list' seems to imply.
Comment 10 Rob Weir 2013-02-02 03:00:16 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.
Comment 11 Edwin Sharp 2013-08-05 13:14:18 UTC
Format - Styles and Formatting - List Styles - Numbering 3 - Fill Format Mode -> result is B' instead of c:

Rev. 1507307 Win 7